QCA::SafeTimer Class Reference
Collaboration diagram for QCA::SafeTimer:
[legend]

## Public Slots

void | start ()
void | start (int msec)
void | stop ()

## Signals

void | timeout ()

## Public Member Functions

int | interval () const
bool | isActive () const
bool | isSingleShot () const
| SafeTimer (QObject *parent=nullptr)
void | setInterval (int msec)
void | setSingleShot (bool singleShot)
int | timerId () const

## Protected Member Functions

bool | event (QEvent *event) override
void | timerEvent (QTimerEvent *event) override

The documentation for this class was generated from the following file:

- qca_safetimer.h